HaruPage::measureText
HaruPage::moveTo
HaruPage
PHP Manual

# HaruPage::moveTextPos

(PECL haru >= 0.0.1)

HaruPage::moveTextPos — Move text position to the specified offset

### Description

bool HaruPage::moveTextPos ( float `$x` , float `$y` [, bool `$set_leading` = false ] )

Moves text position to the specified offset. If the start position of the current line is (x1, y1), the start of the next line is (x1 + `x`, y1 + `y`).

### Parameters

`x`

  The specified text position offset.

`y`

  The specified text position offset.

`set_leading`

  If set to `TRUE`, the function sets the text leading to -`y`.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::moveToNextLine() - Move text position to the start of the next line

HaruPage::measureText
HaruPage::moveTo
HaruPage
PHP Manual